## ros-indigo-nao-dcm-bringup 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_dcm_bringup)

## Find catkin macros and libraries
find_package(catkin REQUIRED)
find_package(Boost)

##Needed for ros packages
catkin_package(CATKIN_DEPENDS rospy naoqi_dcm_driver)

install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-nao-dcm-bringup (0.0.5-0trusty) trusty; urgency=high

  * adding robot_ip parameter in nao_dcm_H25_bringup_position.launch
  * fixing nao_dcm_H25_bringup_position.launch
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-indigo-nao-dcm-bringup (0.0.4-0trusty) trusty; urgency=high

  * adding arguments
  * Adding missing dependency
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 30 Jan 2017 23:00:00 -0000

ros-indigo-nao-dcm-bringup (0.0.3-0trusty) trusty; urgency=high

  * fixing package.xml
  * update links after moving repo + update maintainer (#1 <https://github.com/ros-naoqi/nao_dcm_robot/issues/1>)
    * update links after moving repo + update maintainer
    * add documentation link
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 21 Dec 2016 23:00:00 -0000

ros-indigo-nao-dcm-bringup (0.0.2-0trusty) trusty; urgency=high

  * updating config params
  * changing the dependence nao_dcm_driver on naoqi_dcm_driver
  * adding a launch file for position controllers
  * Delete nao_dcm_H25_bringup.launch
  * configuring to use with moveit
  * light nao_dcm to Control NAO without NAOqi's motion module
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 13 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-dcm-bringup
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/nao_dcm_bringup
Standards-Version: 3.9.2

Package: ros-indigo-nao-dcm-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nao-control, ros-indigo-naoqi-dcm-driver, ros-indigo-rospy
Description: Bring-up the nao_dcm driver to connect to Aldebaran's Nao robot (v4).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-dcm-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
